/*
*/

#include <gst/gst.h>
#include <gst-phonon/gst-phonon.h>
#include "mediaqueue.h"

namespace Phonon
{
namespace Gst
{

MediaQueue::MediaQueue( QObject* parent )
	: QObject( parent )
{
//	object = gpho_media_queue_new();
}

/* XXX: missing destructor */

KUrl MediaQueue::nextUrl() const
{
	return m_nextUrl;
}

void MediaQueue::setNextUrl( const KUrl &url )
{
	m_nextUrl = url;
}

qint32 MediaQueue::timeBetweenMedia() const
{
	return m_timeBetweenMedia;
}

void MediaQueue::setTimeBetweenMedia( qint32 milliseconds )
{
	m_timeBetweenMedia = milliseconds;
}

bool MediaQueue::doCrossfade() const
{
	return m_doCrossfade;
}

void MediaQueue::setDoCrossfade( bool doCrossfade )
{
	m_doCrossfade = doCrossfade;
}

}} // namespace Phonon::Gst
#include "mediaqueue.moc"
// vim: sw=4 ts=4
